Subject: bug#21563: 24.5; discourage load-hook variables

From: Drew Adams <[email-masked]>
Date: Thu, 16 Jan 2020 14:19:57 -0800 (PST)

> >> Here's what I'd suggest, if you are bent on removing
> >> all load hooks and deprecating them:
> >> 1. Try removing all of them from the vanilla
> >>    (distributed) Elisp code.
> >> 2. Run with that for a major release or two.  If no
> >>    problems, then deprecate (declare obsolete).
> >
> > I'm not sure I understand the proposal.  What is the "vanilla
> > (distributed) Elisp code"?  What does "removing all of them" mean,
> > and how is removing them more cautious than adding a deprecation
> > warning to the variables?
> 
> I think Drew meant to remove the *usage* of the hooks.  That is, remove
> cases of (add-hook 'foo-load-hook ...), before deprecating foo-load-
> hook itself.

Yes.  Sorry if that wasn't clear.  That should be sufficient for
testing the (later) removal of the variables, as far as their
usage by vanilla Emacs code is concerned.

(It won't test effects on user code, of course.  But the point is
to not (possibly) bother users for the duration of step 1.)